
 LinHES - Bug # 210: Better Auto-Detection / Configuration of Serial Port IR Blasters/Receivers

Status: Closed Priority: Normal
Author: mihanson Category:
Created: 02/24/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: I performed a fresh install of 6.00.07 on my 2nd FE last night and ran into some issues with setting up my 

serial port IR receiver.  It did not work out of the box , but it could have been partly my fault.  I'm using a 
Hauppauge remote and here's what I did.

  - During install I selected "Unknown" remote because I was not sure how to handle the serial reciever.
  - Copied my old R5.5 lircd.conf to /etc/lircd.conf
  - Copied my old hardware.conf to /etc/lirc/hardware.conf (although I don't think this file is used)
  - Copied my old R5.5 lircrc to /home/mythtv/.mythtv/lircrc and added a symlink to it as /home/mythtv/.lircrc
  - In the Service Menu > LinHES Config > Advanced (?) > (?) I selected "Serial," checked the "Wait for lirc" 
option and selected my port "ttyS0" (actually this was already set properly)
  - I rebooted and the remote worked.  After playing with settings and such, I rebooted again and the remote 
no longer worked.
  - setserial /dev/ttyS0 uart none && reboot
  - The remote worked again.  I had to call it a night then, so I don't know if it will work next time I boot.

I now realize that I could have selected Hauppauge as my remote, but I think that would have only saved me 
the lircd.conf copying.

And why the f*** does this numbered list not work right? ;) (because it doesn't like blank lines between)

History
02/24/2009 08:49 pm - tjc
fixed numbered list.

04/11/2009 09:42 pm - jams
Reworked the configuration and startup of lirc.  Everything lirc related is now under the remote configuration item.  
This includes lcd/vfds as many of them interact with lirc.

12/25/2011 03:05 pm - jams
- Target version changed from 7.2 to 6.00.04
